<?xml version="1.0" encoding="UTF-8"?>

  <!--
    Licensed under the European Space Agency Public License, Version 2.0
    You may not use this file except in compliance with the License.

    Except as expressly set forth in this License, the Software is provided to
    You on an "as is" basis and without warranties of any kind, including without
    limitation merchantability, fitness for a particular purpose, absence of
    defects or errors, accuracy or non-infringement of intellectual property rights.
 
    See the License for the specific language governing permissions and limitations under the License.
-->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
  
    <parent>
        <groupId>int.esa.ccsds.mo</groupId>
        <artifactId>POM</artifactId>
        <version>9-SNAPSHOT</version>
        <relativePath>../../parent/pom.xml</relativePath>
    </parent>
  
    <artifactId>ENCODING_BINARY</artifactId>
    <packaging>jar</packaging>
    <version>9.0-SNAPSHOT</version>

    <name>ESA Encoder - Binary</name>
    <description>A simple Java binary encoder for the CCSDS MAL</description>
    <url>http://www.esa.int</url>
  
    <organization>
        <name>ESA</name>
        <url>http://www.esa.int</url>
    </organization>
  
    <licenses>
        <license>
            <name>The European Space Agency Public License, Version 2.0</name>
            <url>https://raw.github.com/esa/CCSDS_MO_TRANS/master/LICENCE.md</url>
            <distribution>repo</distribution>
        </license>
    </licenses>

    <scm>
        <connection>scm:git:git@github.com:esa/mo-services-java.git</connection>
        <developerConnection>scm:git:git@github.com:esa/mo-services-java.git</developerConnection>
        <url>https://github.com/esa/mo-services-java</url>
    </scm>
  
    <issueManagement>
        <system>GitHub</system>
        <url>https://github.com/esa/mo-services-java/issues</url>
    </issueManagement>
  
    <developers>
        <developer>
            <id>SamCooper</id>
            <name>Sam Cooper</name>
            <email>sam@brightascension.com</email>
            <url>https://github.com/SamCooper</url>
        </developer>
    </developers>

    <dependencies>
        <dependency>
            <groupId>int.esa.ccsds.mo</groupId>
            <artifactId>API_MAL</artifactId>
        </dependency>
        <dependency>
            <groupId>int.esa.ccsds.mo</groupId>
            <artifactId>ENCODING_GEN</artifactId>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.13.1</version>
            <scope>test</scope>
        </dependency>
    </dependencies>
  
    <build>
        <resources>
            <resource>
                <directory>${basedir}/..</directory>
                <includes>
                    <include>LICENCE.md</include>
                </includes>
            </resource>
        </resources>
    
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-enforcer-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

</project>
